Update a dossier
curl --request PATCH \
--url https://rest.forestreet.com/v2/collections/{collectionId}/dossier/{agentId} \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/collections/{collectionId}/dossier/{agentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/collections/{collectionId}/dossier/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"agentId": "<string>"
},
"actionsPerformed": {}
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have permission to manage dossiers in this collection"
}{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Not Found - Dossier not found"
}Supplier Dossier
Update a dossier
Update a dossier by adding it to another collection or modifying its properties
PATCH
/
v2
/
collections
/
{collectionId}
/
dossier
/
{agentId}
Update a dossier
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
ID of the collection containing the dossier agent to be managed.
Unique identifier for the dossier agent to be managed.
⌘I